# rpmdsObject_s Struct Reference
[PYTHON-C Language Bindings.]

`#include <python/rpmds-py.h>`

## Data Fields

PyObject_HEAD PyObject * | md_dict
int | active
rpmds | ds

## Detailed Description

Definition at line 15 of file rpmds-py.h.

## Field Documentation

PyObject_HEAD PyObject* rpmdsObject_s::md_dict

to look like PyModuleObject

Definition at line 17 of file rpmds-py.h.

int rpmdsObject_s::active

Definition at line 18 of file rpmds-py.h.

Referenced by rpmds_init(), rpmds_iternext(), and rpmds_Wrap().

rpmds rpmdsObject_s::ds

Definition at line 20 of file rpmds-py.h.

Referenced by dsFromDs(), rpmal_Add(), rpmal_AddProvides(), rpmds_BT(), rpmds_Color(), rpmds_compare(), rpmds_Count(), rpmds_dealloc(), rpmds_DNEVR(), rpmds_EVR(), rpmds_Find(), rpmds_Flags(), rpmds_free(), rpmds_init(), rpmds_iternext(), rpmds_Ix(), rpmds_length(), rpmds_Merge(), rpmds_N(), rpmds_new(), rpmds_Notify(), rpmds_print(), rpmds_Refs(), rpmds_Result(), rpmds_richcompare(), rpmds_Search(), rpmds_SetNoPromote(), rpmds_Sort(), rpmds_subscript(), rpmds_TagN(), and rpmds_Wrap().

The documentation for this struct was generated from the following file:

- python/rpmds-py.h